import request from '@/plugin/axios'

//查询列表
export function getPageList(data) {
    return request({
        url:'/callerCard/getCallerCardByPage',
        method:'post',
        data
    })
}

//新增和修改
export function saveOrUpdataList(data) {
    return request({
        url: '/callerCard/saveOrUpdCallerCard',
        method: 'post',
        data
    })
}

//发卡
export function sendCard(data) {
    return request({
        url:'/callerCard/updateCallerSendCard',
        method:'post',
        data
    })
}

//注销
export function logoutList(data) {
    return request({
        url:'/callerCard/updateCallerCardLogout',
        method:'post',
        data
    })
}

//删除
export function deleteList(data) {
    return request({
        url:'/callerCard/deleteCallerCard',
        method:'post',
        data
    })
}

//查询详情
export function getList(data) {
    return request({
        url:'/callerCard/getCallerCardById',
        method:'post',
        data
    })
}

//访客类型下拉
export function typePullDown(data) {
    return request({
        url:'/callerType/getCallerTypePullDown',
        method:'post',
        data
    })
}

//预约登记查询下拉
export function RegPulldown(data) {
    return request({
        url:'/callerRegister/getCallerRegisterPullDown',
        method:'post',
        data
    })
}

//预约登记查询详情
export function registerById(data) {
    return request({
        url:'/callerRegister/getCallerRegisterById',
        method:'post',
        data
    })
}

//区域下拉
export function areaPullDown(data) {
    return request({
        url:'/callerCard/getEquipmentPullDown',
        method:'post',
        data
    })
}

//区域设备列表
export function equipmentList(data) {
    return request({
        url:'/callerCard/getEquipmentLiset',
        method:'post',
        data
    })
}
